Content & StorefrontBrands
List brands
Lists the brands present in the published catalog. Useful to build a brand filter outside the facets of a search.
GET
/v1/brandsLists the brands present in the published catalog. Useful to build a brand filter outside the facets of a search.
Query Parameters
search?string
Free-text filter. Which fields it covers depends on the resource.
sort?string
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/brands" \ -H "x-Store-Domain: my-store"[ { "id": "7204558912004325301", "name": "Example resource", "slug": "example-resource", "imageUrl": "https://example.com/resource", "order": 1, "productCount": 1 }]